<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/SDKInterfaces/test/AVSCommon/SDKInterfaces/MockPlaybackRouter.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a></li><li class="navelem"><a class="el" href="dir_1ddd86bfa39359b35ed671234e3560e0.html">test</a></li><li class="navelem"><a class="el" href="dir_779cd95c25bfd22c62255d2dc75909ee.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_fd08e2d492364730d424f6256176d09b.html">SDKInterfaces</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">MockPlaybackRouter.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_mock_playback_router_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_AVSCOMMON_SDKINTERFACES_TEST_AVSCOMMON_SDKINTERFACES_MOCKPLAYBACKROUTER_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_AVSCOMMON_SDKINTERFACES_TEST_AVSCOMMON_SDKINTERFACES_MOCKPLAYBACKROUTER_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;gmock/gmock.h&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_playback_router_interface_8h.html">AVSCommon/SDKInterfaces/PlaybackRouterInterface.h</a>&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacesdk_interfaces.html">sdkInterfaces</a> {</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span>test {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_playback_router.html">   31</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_playback_router.html">MockPlaybackRouter</a> : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_router_interface.html">PlaybackRouterInterface</a> {</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_playback_router.html#a928a6bc7dfadcc1cf9e682c8ead56a1b">MOCK_METHOD1</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_router_interface.html#adddcad41e49e64f27d0703db3b557996">buttonPressed</a>, <span class="keywordtype">void</span>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a61e425aaa1522eafa6647f6b11cb9556">avsCommon::avs::PlaybackButton</a> button));</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_playback_router.html#a9aa9b03802622123ec788a557516a907">MOCK_METHOD2</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_router_interface.html#a6531203d69a4702534354b693224e1e4">togglePressed</a>, <span class="keywordtype">void</span>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#ad9f7d4000e3b111db271f73d9e34604b">avsCommon::avs::PlaybackToggle</a> toggle, <span class="keywordtype">bool</span> action));</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_playback_router.html#a928a6bc7dfadcc1cf9e682c8ead56a1b">MOCK_METHOD1</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_router_interface.html#ac74294f5ef3271bb40e9cc1e49695e9a">setHandler</a>, <span class="keywordtype">void</span>(std::shared_ptr&lt;avsCommon::sdkInterfaces::PlaybackHandlerInterface&gt; handler));</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_playback_router.html#a24e832ac165f5c5dee2b1f7f38376dec">MOCK_METHOD0</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_router_interface.html#aef05df81b95d214444b9c4cfd45bc13d">switchToDefaultHandler</a>, <span class="keywordtype">void</span>());</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;};</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;}  <span class="comment">// namespace test</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;}  <span class="comment">// namespace sdkInterfaces</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_AVSCOMMON_SDKINTERFACES_TEST_AVSCOMMON_SDKINTERFACES_MOCKPLAYBACKROUTER_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_playback_router_html_a24e832ac165f5c5dee2b1f7f38376dec"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_playback_router.html#a24e832ac165f5c5dee2b1f7f38376dec">alexaClientSDK::avsCommon::sdkInterfaces::test::MockPlaybackRouter::MOCK_METHOD0</a></div><div class="ttdeci">MOCK_METHOD0(switchToDefaultHandler, void())</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_playback_router_html_a9aa9b03802622123ec788a557516a907"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_playback_router.html#a9aa9b03802622123ec788a557516a907">alexaClientSDK::avsCommon::sdkInterfaces::test::MockPlaybackRouter::MOCK_METHOD2</a></div><div class="ttdeci">MOCK_METHOD2(togglePressed, void(avsCommon::avs::PlaybackToggle toggle, bool action))</div></div>
<div class="ttc" id="_playback_router_interface_8h_html"><div class="ttname"><a href="_playback_router_interface_8h.html">PlaybackRouterInterface.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_a61e425aaa1522eafa6647f6b11cb9556"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a61e425aaa1522eafa6647f6b11cb9556">alexaClientSDK::avsCommon::avs::PlaybackButton</a></div><div class="ttdeci">PlaybackButton</div><div class="ttdoc">Enumeration class for supported playback buttons. </div><div class="ttdef"><b>Definition:</b> PlaybackButtons.h:26</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_router_interface_html_adddcad41e49e64f27d0703db3b557996"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_router_interface.html#adddcad41e49e64f27d0703db3b557996">alexaClientSDK::avsCommon::sdkInterfaces::PlaybackRouterInterface::buttonPressed</a></div><div class="ttdeci">virtual void buttonPressed(avsCommon::avs::PlaybackButton button)=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_router_interface_html_a6531203d69a4702534354b693224e1e4"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_router_interface.html#a6531203d69a4702534354b693224e1e4">alexaClientSDK::avsCommon::sdkInterfaces::PlaybackRouterInterface::togglePressed</a></div><div class="ttdeci">virtual void togglePressed(avsCommon::avs::PlaybackToggle toggle, bool action)=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_router_interface_html_aef05df81b95d214444b9c4cfd45bc13d"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_router_interface.html#aef05df81b95d214444b9c4cfd45bc13d">alexaClientSDK::avsCommon::sdkInterfaces::PlaybackRouterInterface::switchToDefaultHandler</a></div><div class="ttdeci">virtual void switchToDefaultHandler()=0</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="namespacesdk_interfaces_html"><div class="ttname"><a href="namespacesdk_interfaces.html">sdkInterfaces</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_playback_router_html_a928a6bc7dfadcc1cf9e682c8ead56a1b"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_playback_router.html#a928a6bc7dfadcc1cf9e682c8ead56a1b">alexaClientSDK::avsCommon::sdkInterfaces::test::MockPlaybackRouter::MOCK_METHOD1</a></div><div class="ttdeci">MOCK_METHOD1(buttonPressed, void(avsCommon::avs::PlaybackButton button))</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_router_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_router_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::PlaybackRouterInterface</a></div><div class="ttdef"><b>Definition:</b> PlaybackRouterInterface.h:32</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_router_interface_html_ac74294f5ef3271bb40e9cc1e49695e9a"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_playback_router_interface.html#ac74294f5ef3271bb40e9cc1e49695e9a">alexaClientSDK::avsCommon::sdkInterfaces::PlaybackRouterInterface::setHandler</a></div><div class="ttdeci">virtual void setHandler(std::shared_ptr&lt; PlaybackHandlerInterface &gt; handler)=0</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_ad9f7d4000e3b111db271f73d9e34604b"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#ad9f7d4000e3b111db271f73d9e34604b">alexaClientSDK::avsCommon::avs::PlaybackToggle</a></div><div class="ttdeci">PlaybackToggle</div><div class="ttdef"><b>Definition:</b> PlaybackButtons.h:46</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_playback_router_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_playback_router.html">alexaClientSDK::avsCommon::sdkInterfaces::test::MockPlaybackRouter</a></div><div class="ttdef"><b>Definition:</b> MockPlaybackRouter.h:31</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
